Bug 208625 - Firefox crashes randomly
Firefox crashes randomly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 15:04 EDT by Jeff Laughlin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Laughlin 2006-09-29 15:04:29 EDT
Description of problem: Firefox crashes at random times, usually when clicking a
link or otherwise opening a new page (eg searching from the toolbar)


Version-Release number of selected component (if applicable):
firefox-1.5.0.7-1.fc5
Running an up to date as of today FC5 install

How reproducible:
Happens randomly, sometimes several times in an hour, sometimes not for days.
  
Additional info:
Here are two backtraces from two seperate crashes that look pretty much the same
to me indicating that it probably is a reproduceable bug.

[New Thread 155610016 (LWP 23088)]
[New Thread -1243161696 (LWP 23089)]
[Thread 145120160 (LWP 23086) exited]
[Thread -1243161696 (LWP 23089) exited]
[Thread 155610016 (LWP 23088) exited]
[New Thread 155610016 (LWP 23113)]

Program received signal SIG33, Real-time event 33.
[Switching to Thread 155610016 (LWP 23113)]
0x00864402 in __kernel_vsyscall ()
(gdb) 
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x00f26339 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#7  0x00ea7a1e in clone () from /lib/libc.so.6
(gdb) No current source file.

[New Thread -1244660832 (LWP 23359)]
[Thread -1276658784 (LWP 23337) exited]
[Thread -1221526624 (LWP 23336) exited]
[Thread 95681440 (LWP 23339) exited]
[Thread -1265640544 (LWP 23338) exited]

Program received signal SIG33, Real-time event 33.
[Switching to Thread -1244660832 (LWP 23359)]
0x00864402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x00e92aa3 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x00e930a0 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#6  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#8  0x0094aa1e in clone () from /lib/libc.so.6
(gdb)
Comment 1 Jeff Laughlin 2006-09-29 16:45:17 EDT
First the good news: I can reliably cause firefox to crash by going to
bugzilla.redhat.com, clicking "create attachment" in this bug, and clicking the
"browse" button.

The bad news: because of that I am pasing this long backtrace into the comments
field, sorry.

BTW I DID try safe mode, no change.

Program received signal SIG33, Real-time event 33.
[Switching to Thread -1296118880 (LWP 25060)]
0x00864402 in __kernel_vsyscall ()
(gdb) info thread
* 8 Thread -1296118880 (LWP 25060)  0x00864402 in __kernel_vsyscall ()
  7 Thread -1265640544 (LWP 25054)  0x00864402 in __kernel_vsyscall ()
  6 Thread -1255150688 (LWP 25053)  0x00864402 in __kernel_vsyscall ()
  5 Thread -1244660832 (LWP 25052)  0x00864402 in __kernel_vsyscall ()
  4 Thread -1232237664 (LWP 25051)  0x00864402 in __kernel_vsyscall ()
  3 Thread -1221354592 (LWP 25050)  0x00864402 in __kernel_vsyscall ()
  2 Thread -1210864736 (LWP 25049)  0x00864402 in __kernel_vsyscall ()
  1 Thread -1208764720 (LWP 25046)  0x00864402 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 8 (Thread -1296118880 (LWP 25060)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x01b47aa3 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x01b480a0 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#6  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#8  0x0094aa1e in clone () from /lib/libc.so.6

Thread 7 (Thread -1265640544 (LWP 25054)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x01b1d339 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#7  0x0094aa1e in clone () from /lib/libc.so.6

Thread 6 (Thread -1255150688 (LWP 25053)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x01b1d339 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#7  0x0094aa1e in clone () from /lib/libc.so.6

Thread 5 (Thread -1244660832 (LWP 25052)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x01b1d339 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#7  0x0094aa1e in clone () from /lib/libc.so.6

Thread 4 (Thread -1232237664 (LWP 25051)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x01b1d339 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#6  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#7  0x0094aa1e in clone () from /lib/libc.so.6

Thread 3 (Thread -1221354592 (LWP 25050)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1f75c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x03f2f4d3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x03f30364 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x00664cfd in nsIThread::SetMainThread () from
/usr/lib/firefox-1.5.0.7/libxpcom_core.so
#5  0x00662fa6 in nsIThread::SetMainThread () from
/usr/lib/firefox-1.5.0.7/libxpcom_core.so
#6  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#8  0x0094aa1e in clone () from /lib/libc.so.6

Thread 2 (Thread -1210864736 (LWP 25049)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00941440 in poll () from /lib/libc.so.6
#2  0x03f32069 in PR_Poll () from /usr/lib/libnspr4.so
#3  0x01b3ddd1 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#4  0x01b3dfb3 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libnecko.so
#5  0x00662fa6 in nsIThread::SetMainThread () from
/usr/lib/firefox-1.5.0.7/libxpcom_core.so
#6  0x03f362ad in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00b1c433 in start_thread () from /lib/libpthread.so.0
#8  0x0094aa1e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208764720 (LWP 25046)):
#0  0x00864402 in __kernel_vsyscall ()
#1  0x00b1c212 in __nptl_setxid () from /lib/libpthread.so.0
#2  0x00943a05 in seteuid () from /lib/libc.so.6
#3  0x03c3764a in gnome_vfs_get_daemon_volume_monitor_type () from
/usr/lib/libgnomevfs-2.so.0
#4  0x03c3780e in gnome_vfs_method_get () from /usr/lib/libgnomevfs-2.so.0
#5  0x03c4832b in gnome_vfs_uri_new_private () from /usr/lib/libgnomevfs-2.so.0
#6  0x03c4990c in gnome_vfs_url_show () from /usr/lib/libgnomevfs-2.so.0
#7  0x03c4a829 in gnome_vfs_make_uri_canonical () from /usr/lib/libgnomevfs-2.so.0
#8  0x0662d0cf in fs_module_init () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#9  0x0662d9f4 in fs_module_init () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#10 0x00312d54 in gtk_file_system_filename_to_path () from
/usr/lib/libgtk-x11-2.0.so.0
#11 0x0662ff81 in fs_module_create () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#12 0x00dc26aa in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0
#13 0x00daa012 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#14 0x00da7e6a in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#15 0x00da893f in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#16 0x00da8af0 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#17 0x0662ea4c in gtk_file_system_gnome_vfs_new () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#18 0x0662ea87 in fs_module_create () from
/usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#19 0x00311cbd in gtk_file_selection_set_filename () from
/usr/lib/libgtk-x11-2.0.so.0
#20 0x00311e23 in gtk_file_selection_set_filename () from
/usr/lib/libgtk-x11-2.0.so.0
#21 0x003056c4 in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00daa1ec in g_object_set () from /usr/lib/libgobject-2.0.so.0
#23 0x00308b94 in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x00da7e6a in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#25 0x00da89e9 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#26 0x00da8af0 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#27 0x002febd8 in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x0030a97c in gtk_file_chooser_widget_new () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00da7e6a in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#30 0x00da893f in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#31 0x00da8af0 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#32 0x002fc9f8 in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x00da7e6a in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#34 0x00da89e9 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#35 0x00da8af0 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#36 0x002fc41e in gtk_file_chooser_dialog_get_type () from
/usr/lib/libgtk-x11-2.0.so.0
#37 0x002fc4cc in gtk_file_chooser_dialog_new () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x06198076 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libwidget_gtk2.so
#39 0x01324147 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#40 0x0142dd6f in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#41 0x0140bbca in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#42 0x01469385 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#43 0x012b7f7a in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#44 0x012b86db in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#45 0x0143071d in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#46 0x0143658a in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#47 0x012b81ca in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#48 0x012c0b37 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#49 0x014e46e8 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#50 0x014e81f9 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#51 0x014dfca8 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libgklayout.so
#52 0x06191234 in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libwidget_gtk2.so
#53 0x0618c4a2 in ?? () from /usr/lib/firefox-1.5.0.7/components/libwidget_gtk2.so
#54 0x0618c4c9 in ?? () from /usr/lib/firefox-1.5.0.7/components/libwidget_gtk2.so
#55 0x0036058e in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x00da2f8b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#57 0x00db3e3d in g_signal_override_class_closure () from
/usr/lib/libgobject-2.0.so.0
#58 0x00db510f in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#59 0x00db5509 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#60 0x0044b858 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x00359f63 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#62 0x0035b1b7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#63 0x005a685a in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
#64 0x0074915d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#65 0x0074c3ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#66 0x0074c799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#67 0x0035b634 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#68 0x0618ff68 in ?? () from /usr/lib/firefox-1.5.0.7/components/libwidget_gtk2.so
#69 0x0401347e in NSGetModule () from
/usr/lib/firefox-1.5.0.7/components/libtoolkitcomps.so
#70 0x0804f4f0 in ?? ()
#71 0x0804afb5 in ?? ()
#72 0x008974e4 in __libc_start_main () from /lib/libc.so.6
#73 0x0804af11 in ?? ()
(gdb)
Comment 2 cornel panceac 2006-12-04 14:49:49 EST
is this related to #216652 ? (and maybe others)
Comment 3 Matěj Cepl 2007-07-18 13:30:33 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matěj Cepl 2007-08-28 10:46:52 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.